hotfixJust a quick heads up on a new KB article we published today:



When connecting a Microsoft Application Virtualization (App-V) client version 4.5 or later to a legacy Softgrid server (i.e. one running a version prior to 4.5) you may get the following error:

The server will not allow a connection without valid NTLM credentials.
Please report the following error code to your System Administrator.
Error code: xxxxxx-xxxxxx 0A-00002002


This can happen to your App-V 4.5 and 4.6 clients if they are connecting to App-V Management Server that has been rolled back through an uninstallation of App-V 4.5 and a reinstallation of an earlier version has occurred. This is caused by the presence of SPNs (Service Principal Names) that are not removed during an uninstallation of the App-V 4.5 Server.


You can check for these SPN remnants by typing the command below:

setspn -L hostname

- Where hostname is the name of the Softgrid server.

The SPNs will have the following format:

- Softgrid/Hostname
- Softgrid/FQDN

If the SPNs are present, you can manually remove them using the SETSPN –D command.

More Information

Softgrid servers prior to version 4.5 did not support Kerberos for authentication.


For the most current version of this article please see the following:

2619454: Rolling back an App-V server upgrade may result in clients receiving xxxxxx-xxxxxx0A-00002002 errors

J.C. Hornbeck | System Center Knowledge Engineer

App-V Team blog:
AVIcode Team blog:
ConfigMgr Support Team blog:
DPM Team blog:
MED-V Team blog:
OOB Support Team blog:
Opalis Team blog:
Orchestrator Support Team blog:
OpsMgr Support Team blog:
SCMDM Support Team blog:
SCVMM Team blog:
Server App-V Team blog:
Service Manager Team blog:
System Center Essentials Team blog:
WSUS Support Team blog:

clip_image001 clip_image002